Package org.eclipse.gef.mvc.fx.parts

## Class DefaultHoverFeedbackPartFactory

- java.lang.Object
- - org.eclipse.gef.mvc.fx.parts.DefaultHoverFeedbackPartFactory

All Implemented Interfaces:
  `IFeedbackPartFactory`

    public class DefaultHoverFeedbackPartFactory
    extends java.lang.Object
    implements IFeedbackPartFactory

### Field Summary

Fields
`static javafx.scene.paint.Color` `DEFAULT_HOVER_FEEDBACK_COLOR` Defines the default `Color` for hover feedback.
`static java.lang.String` `HOVER_FEEDBACK_COLOR_PROVIDER` The binding name for the primary selection color.
`static java.lang.String` `HOVER_FEEDBACK_GEOMETRY_PROVIDER` The role name for the `Provider<IGeometry>` that will be used to generate hover feedback.

### Constructor Summary

Constructors
`DefaultHoverFeedbackPartFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<IFeedbackPart<? extends javafx.scene.Node>>` `createFeedbackParts​(java.util.List<? extends IVisualPart<? extends javafx.scene.Node>> targets, java.util.Map<java.lang.Object,​java.lang.Object> contextMap)` Creates specific `IFeedbackPart`s for the given targets.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### HOVER_FEEDBACK_COLOR_PROVIDER

    public static final java.lang.String HOVER_FEEDBACK_COLOR_PROVIDER

The binding name for the primary selection color.

See Also:
  Constant Field Values

#### HOVER_FEEDBACK_GEOMETRY_PROVIDER

    public static final java.lang.String HOVER_FEEDBACK_GEOMETRY_PROVIDER

The role name for the `Provider<IGeometry>` that will be used to generate hover feedback.

See Also:
  Constant Field Values

#### DEFAULT_HOVER_FEEDBACK_COLOR

    public static final javafx.scene.paint.Color DEFAULT_HOVER_FEEDBACK_COLOR

Defines the default `Color` for hover feedback.

### Constructor Detail

#### DefaultHoverFeedbackPartFactory

    public DefaultHoverFeedbackPartFactory()

### Method Detail

#### createFeedbackParts

    public java.util.List<IFeedbackPart<? extends javafx.scene.Node>> createFeedbackParts​(java.util.List<? extends IVisualPart<? extends javafx.scene.Node>> targets,
                                                                                          java.util.Map<java.lang.Object,​java.lang.Object> contextMap)

Description copied from interface: `IFeedbackPartFactory`
Creates specific `IFeedbackPart`s for the given targets. As additional information might be needed by the `IFeedbackPartFactory` to identify the creation context, an additional contextMap is passed in upon creation.

Specified by:
  `createFeedbackParts` in interface `IFeedbackPartFactory`
Parameters:
  `targets` - The target `IVisualPart`s for which feedback is to be created.
  `contextMap` - A map in which additional context information for the creation process can be placed.
Returns:
  A list of `IFeedbackPart`s that are to be used to indicate feedback for the given targets.